Perché Java, Silverlight, Adobe Acrobat e altri plugin non funzionano più?

Informazioni sulla versione
  • ID versione: 139060
  • Data di creazione:
  • Autore: MozGianluc
  • Commento: QA by miki64, michro e Underpass; aggiornamento del 28/01/17 by @AliceWyman
  • Revisionata:
  • Revisionata:
  • Revisionata da: underpass
  • Approvata?
  • Versione corrente? No
  • Pronta per la localizzazione: No
Sorgente della versione
Contenuto della versione

Il supporto ai plugin NPAPI, ad eccezione di Adobe Flash, verrà interrotto a partire da marzo 2017 con il rilascio della versione 52 di Firefox.A partire dalla versione 52 di Firefox, il supporto ai plugin NPAPI è stato interrotto, ad eccezione di Adobe Flash. Alcuni dei plugin che non vengono più supportati sono Silverlight, Java e Adobe Acrobat. Per ulteriori informazioni sulla compatibilità, leggere questo documento (in inglese).

Negli ultimi anni, sono state sviluppate numerose Web API per Firefox che consentono ai siti web di funzionare - senza dover fare ricorso ai plugin - con la stessa efficienza di sempre, tanto che molto probabilmente la maggior parte degli utenti non avrà notato alcun cambiamento nella propria esperienza di navigazione.

I motivi di questo cambiamento in Firefox

Internet è ricco di siti web che offrono contenuti ben più avanzati delle pagine statiche, come ad esempio video, audio e giochi. I plugin NPAPI, e in particolare Flash, hanno contribuito a dar vita a queste pagine interattive ma hanno anche reso la navigazione più lenta, meno sicura e soggetta più di frequente ad arresti anomali.

Negli ultimi anni, gli sviluppatori di Firefox hanno lavorato duramente per costruire delle alternative a questi plugin. Nel loro insieme, queste nuove soluzioni vengono chiamate Web API: sono concepite per sostituire i plugin e svolgere la loro funzione senza compromettere la sicurezza, la stabilità e le prestazioni della navigazione.

In passato le Web API non erano del tutto efficienti; per questo motivo è stato necessario un periodo di transizione, durante il quale i plugin potevano essere attivati in Firefox solo manualmente (attivazione tramite clic).

Ad oggi le Web API sono perfettamente funzionanti. Sono già attive su molti siti e la quasi totalità delle pagine preferite dagli utenti possono essere visitate senza utilizzare i vecchi e poco sicuri plugin. Con l'interruzione del supporto a questi plugin NPAPI, Firefox si allinea agli altri browser moderni, come Google Chrome e Microsoft Edge.

In caso di problemi

Qualora non si sia ancora preparati a questa transizione, i plugin continueranno ad essere supportati in Firefox 52 ESR (Extended Support Release, articolo in inglese) fino all'inizio del 2018. Per scaricare Firefox ESR, fare clic su questo link.